- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/create#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/create#body.aspect_1)

**Full name**: projects.locations.instances.announcements.create

Creates a new announcement. Use this method to broadcast platform-wide information to users, specifying the content, a title, and an optional expiration time. The system automatically records the creator.

### HTTP request

`POST https://{endpoint}/v1/{parent}/announcements`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this Announcement will be created. Format: projects/{project}/locations/{location}/instances/{instance}/announcements |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements#Announcement`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements#Announcement`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.announcements.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).